> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List tasks

> Retrieves a paginated list of tasks with optional filtering by status, search query, or client ID. Supports pagination with page number and items per page.



## OpenAPI

````yaml /data-processor-api/openapi/openapi-hdp-server.json get /tasks
openapi: 3.1.0
info:
  title: Herodotus Data Processor Server API
  description: API documentation for the Herodotus Data Processor Server
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://staging.hdp.api.herodotus.cloud
    description: Staging API endpoint
security: []
tags:
  - name: tasks
    description: Task management endpoints
  - name: health
    description: Health check endpoints
  - name: modules
    description: Module registry endpoints
paths:
  /tasks:
    get:
      tags:
        - tasks
      summary: List tasks
      description: >-
        Retrieves a paginated list of tasks with optional filtering by status,
        search query, or client ID. Supports pagination with page number and
        items per page.
      operationId: listTasks
      parameters:
        - name: hdp_tasks_page
          in: query
          description: 'Page number (default: 1)'
          required: false
          schema:
            type: string
        - name: hdp_tasks_per_page
          in: query
          description: 'Items per page (default: 10, max: 100)'
          required: false
          schema:
            type: string
        - name: hdp_tasks_search
          in: query
          description: Search query to filter tasks by UUID
          required: false
          schema:
            type: string
        - name: hdp_tasks_status
          in: query
          description: Filter by task status
          required: false
          schema:
            type: string
        - name: hdp_tasks_client_id
          in: query
          description: Filter by client ID
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Tasks retrieved successfully
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        details:
          type:
            - string
            - 'null'
        error:
          type: string
        message:
          type:
            - string
            - 'null'
        taskId:
          type:
            - string
            - 'null'

````